spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
spot::emptiness_check_instantiator Class Reference
TωA (Transition-based ω-Automata) » TωA algorithms » Emptiness-checks

Dynamically create emptiness checks. Given their name and options. More...

`#include <spot/twaalgos/emptiness.hh>`

Collaboration diagram for spot::emptiness_check_instantiator:

## Public Member Functions
emptiness_check_ptr | instantiate (const const_twa_ptr &a) const
| Actually instantiate the emptiness check, for a. More...
unsigned int | min_sets () const
| Minimum number of acceptance sets supported by the emptiness check. More...
unsigned int | max_sets () const
| Maximum number of acceptance conditions supported by the emptiness check. More...
const option_map & | options () const
option_map & | options ()

## Protected Member Functions
| emptiness_check_instantiator (option_map o, void *i)

## Protected Attributes
option_map | o_
void * | info_

## Detailed Description

Dynamically create emptiness checks. Given their name and options.

## Member Function Documentation

emptiness_check_ptr spot::emptiness_check_instantiator::instantiate | ( | const const_twa_ptr & | a | ) | const

Actually instantiate the emptiness check, for a.

unsigned int spot::emptiness_check_instantiator::max_sets | ( |  | ) | const

Maximum number of acceptance conditions supported by the emptiness check.

Returns
  `-1U` if no upper bound exists.

unsigned int spot::emptiness_check_instantiator::min_sets | ( |  | ) | const

Minimum number of acceptance sets supported by the emptiness check.

const option_map& spot::emptiness_check_instantiator::options | ( |  | ) | const
| inline

Accessor to the options.

option_map& spot::emptiness_check_instantiator::options | ( |  | ) |
| inline

Accessor to the options.

The documentation for this class was generated from the following file:

- spot/twaalgos/emptiness.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.